routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('api')->group(function () {

    Route::get('/categories', 'Backend\CategoryController@apiIndex');
    Route::post('/categories/attribute', 'Backend\CategoryController@apiIndexAttribute');
    Route::get('/cities/{provinceId}', 'Auth\RegisterController@getAllCities');
    Route::get('/products/{id}/', 'Frontend\ProductController@apiGetProduct');
    Route::get('/sort-products/{id}/{sort}/{paginate}', 'Frontend\ProductController@apiGetSortedProduct');
    Route::get('/categories-attribute/{id}', 'Frontend\ProductController@apiGetCategoryAttributes');
    Route::get('/filter-products/{id}/{sort}/{paginate}/{attributes}', 'Frontend\ProductController@apiGetFilterProducts');

});

Auth::routes(['verify'=>true]);



Route::get('/verify','VerifyController@getVerify')->name('getVerify');
Route::post('/verify','VerifyController@postVerify')->name('verify');
Route::post('/send-verify','VerifyController@reSendVerify')->name('sendVerify');


Route::get('/home', 'HomeController@index')->name('home');
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout');

Route::prefix('administrator')->middleware(['auth','isAdmin:مدیر'])->group(function (){
    Route::get('/dashboard','Backend\DashboardController@index');
    Route::get('/news','FrontEnd\AboutController@index')->name('news.index');
    Route::resource('/brands','Backend\BrandController');
    Route::resource('/posts','Backend\PostController');
    Route::resource('/roles','Backend\RoleController');
    Route::resource('/photos','Backend\PhotoController');
    Route::post('/photos/upload','Backend\PhotoController@upload')->name('photos.upload');
    Route::resource('/vendors','Backend\VendorController');
    Route::resource('/shops','Backend\ShopController');
    Route::resource('/categories','Backend\CategoryController');
    Route::resource('/attributes-group','Backend\AttributeGroupController');
    Route::resource('/attributes-value','Backend\AttributeValueController');
    Route::resource('/users','Backend\UserController');
    Route::resource('/profiles','Backend\ProfileController');
    Route::resource('/roles-user','Backend\RoleUserController');
    Route::resource('/coupons','Backend\CouponController');
    Route::resource('/sms-panel','Backend\SmsPanelController');
    Route::resource('/products','Backend\ProductController');
    Route::resource('/banks','Backend\BankController');
    Route::resource('/shops','Backend\ShopController');
    Route::resource('/city','Backend\CityController');
    Route::resource('/province','Backend\ProvinceController');
    Route::resource('/vendors','Backend\VendorController');
    Route::resource('/contacts','Backend\ContactController');
    Route::get('/categories/{id}/settings', 'Backend\CategoryController@indexSetting')->name('categories.indexSetting');
    Route::post('/categories/{id}/settings', 'Backend\CategoryController@saveSetting');
    Route::get('/orders', 'Backend\OrderController@index')->name('order.index');
    Route::get('/orders/lists/{id}', 'Backend\OrderController@getOrderLists')->name('orders.lists');

});

Route::get('/products','FrontEnd\ProductController@index');
Route::get('/products/{slug}','FrontEnd\ProductController@show')->name('product.show');
Route::get('/welcome','FrontEnd\IndexController@index');
Route::get('/','FrontEnd\IndexController@index');
Route::get('/categories/{id}','FrontEnd\CategoryController@show');
Route::post('/search','FrontEnd\SearchController@index');
Route::get('/add-to-cart/{id}', 'FrontEnd\CartController@addToCart')->name('cart.add');
Route::post('/remove-item/{id}', 'FrontEnd\CartController@removeItem')->name('cart.remove');
Route::get('/cart', 'FrontEnd\CartController@getCart')->name('cart.cart');
Auth::routes();

Route::group(['middleware'=>'auth'],function(){
    Route::post('/coupon', 'FrontEnd\CouponController@addCoupon')->name('coupon.add');
    Route::post('/posts', 'FrontEnd\PostController@store')->name('post.store');
    Route::get('/order-verify', 'FrontEnd\OrderController@verify')->name('order.verify');
    Route::get('/payment-verify/{id}', 'FrontEnd\PaymentController@verify')->name('payment.verify');
    Route::get('/profile', 'FrontEnd\UserController@profile')->name('user.profile');
    Route::get('/profile-edit/{id}', 'FrontEnd\UserController@edit')->name('profile.edit');
    Route::put('/profile-update/{id}', 'FrontEnd\UserController@update')->name('profile.updates');
    Route::get('/orders', 'FrontEnd\OrderController@index')->name('profile.orders');
    Route::get('/orders/lists/{id}', 'FrontEnd\OrderController@getOrderLists')->name('profile.orders.lists');
    Route::post('/add-city','FrontEnd\UserController@locations')->name('add.city');
    Route::resource('/addresses','FrontEnd\AddressController');
    Route::post('/photos/upload','Backend\PhotoController@upload')->name('photos.upload');
});

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/mobile/reset', 'Auth\MobileResetController@index')->name('mobile.reset');
Route::post('/send/code', 'Auth\MobileResetController@sendCodePass')->name('send.code');
Route::post('/change/code','Auth\MobileResetController@changePassword')->name('change.code');
Route::get('/mobile/change', 'Auth\MobileResetController@getMobile')->name('mobile.change');

Route::get('/contact-me','FrontEnd\AboutController@contact')->name('contact.me');
Route::post('/contact-save','FrontEnd\AboutController@contactSave')->name('contact.save');
Route::post('/email-save','FrontEnd\AboutController@news')->name('email.save');
Route::get('/about-me','FrontEnd\AboutController@about')->name('about.me');

resources/views/admin/attributes-value/create.blade.php
@extends('admin.layouts.master')

@section('title')
    ایجاد مقدار ویژگی جدید
@endsection

@section('content')
<div class="container-fluid">
    <div class="alert alert-secondary d-block p-1 m-0 shadow">
        <div class="pr-1">
            <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/products')}}">محصولات</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/attributes-value')}}">مقدار ویژگی ها</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{route('attributes-value.create')}}">ایجاد ویژگی جدید</a></span>
        </div>
    </div>
    <br>
            <div class="border-bottom pb-3">
                <h3 class="text-center">ایجاد مقدار ویژگی جدید</h3>
            </div>

                <div class="row">
                    <div class="col-md-8 m-auto pt-2">

                        @include('admin.partials.form-errors')
                        <br>

                        <form method="post" action="/administrator/attributes-value">
                            @csrf
                            <div class="form-group">
                                <label for="attribute_group_id">انتخاب ویژگی<span class="text-danger font-size-22 font-weight-bold">*</span></label>
                                <select name="attributeGroup_id" id="attribute_group_id" class="form-control">
                                    <option value="">انتخاب کنید</option>
                                    @foreach($attributesGroup as $attribute)
                                        <option value="{{$attribute->id}}">{{$attribute->title}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="title">عنوان<span class="text-danger font-size-22 font-weight-bold">*</span></label>
                                <input type="text" id="title" name="title" class="form-control" placeholder="مقدار ویژگی را وارد کنید...">
                            </div>
                            <button type="submit" class="btn btn-success btn-block">ذخیره</button>
                        </form>
                    </div>
                </div>
</div>
@endsection

resources/views/admin/attributes-value/edit.blade.php
@extends('admin.layouts.master')

@section('title')
    ویرایش مقدار ویژگی ها
@endsection

@section('content')
<div class="container-fluid">
    <div class="alert alert-secondary d-block p-1 m-0 shadow">
        <div class="pr-1">
            <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/products')}}">محصولات</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/attributes-value')}}">مقدار ویژگی ها</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{route('attributes-value.edit',$attributeValue->id)}}">ویرایش ویژگی جدید</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{route('attributes-value.edit',$attributeValue->id)}}">{{$attributeValue->title}}</a></span>
        </div>
    </div>
    <br>
            <div class="border-bottom pb-3">
                <h3 class="text-center">ویرایش مقدار ویژگی {{$attributeValue->title}}</h3>
            </div>

                <div class="row">
                    <div class="col-md-8 m-auto pt-2">
                        @include('admin.partials.form-errors')
                        <br>
                        <form method="post" action="/administrator/attributes-value/{{$attributeValue->id}}">
                            @csrf
                            <input type="hidden" name="_method" value="PATCH">
                            <div class="form-group">
                                <label for="name">عنوان<span class="text-danger font-size-22 font-weight-bold">*</span></label>
                                <input type="text" name="title" class="form-control" value="{{$attributeValue->title}}" placeholder="عنوان مقدار ویژگی را وارد کنید...">
                            </div>
                            <div class="form-group">
                                <label for="attribute_group">نوع ویژگی<span class="text-danger font-size-22 font-weight-bold">*</span></label>
                                <select name="attributeGroup_id" id="" class="form-control">
                                    @foreach($attributesGroup as $attribute)
                                        <option value="{{$attribute->id}}" @if($attribute->id == $attributeValue->attributeGroup->id) selected @endif>{{$attribute->title}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <button type="submit" class="btn btn-primary btn-block">بروز رسانی</button>
                        </form>
                    </div>
                </div>
</div>
@endsection

resources/views/admin/attributes-value/index.blade.php
@extends('admin.layouts.master')

@section('title')
    مقادیر ویژگی ها
@endsection

@section('content')
<div class="container-fluid">
    <div class="alert alert-secondary d-block p-1 m-0 shadow">
        <div class="pr-1">
            <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/products')}}">محصولات</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/attributes-value')}}">مقدار ویژگی ها</a></span>
        </div>
    </div>
    <br>
            <div class="border-bottom pb-3">
                <h3 class="text-center">مقادیر ویژگی</h3>
                <div class="text-left mb-2">
                    <a class="btn btn-info btn-lg" href="{{route('attributes-value.create')}}">
                        <i class="fa fa-plus"></i> جدید
                    </a>
                </div>
            </div>
            @include('admin.partials.index-success')
                    <table class="table table-active table-striped table-hover shadow">
                        <thead>
                        <tr>
                            <th>شناسه</th>
                            <th>عنوان</th>
                            <th>ویژگی</th>
                            <th>عملیات</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($attributesValue as $attribute)
                            <tr>
                                <td>{{$attribute->id}}</td>
                                <td>{{$attribute->title}}</td>
                                <td>{{$attribute->attributeGroup->title}}</td>
                                <td class="custom-control-inline">
                                    <a class="btn btn-warning text-white mx-2" href="{{route('attributes-value.edit', $attribute->id)}}">ویرایش</a>
                                    <div class="display-inline-block">
                                        <form method="post" action="/administrator/attributes-value/{{$attribute->id}}">
                                            @csrf
                                            <input type="hidden" name="_method" value="DELETE">
                                            <button type="submit" class="btn btn-danger">حذف</button>
                                        </form>
                                    </div>

                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>

            <div class="row">
                 <div class="col-md-4 col-4 m-auto">
                     <span class="text-center m-auto">{{$attributesValue->links()}}</span>
                 </div>
            </div>
</div>
@endsection